View Issue Details

IDProjectCategoryView StatusLast Update
0004680GNUnetotherpublic2018-06-07 00:24
Reporterch3Assigned Toch3 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004680: invalid memory reads
DescriptionSeveral invalid memory reads in service_new/scheduler/mq

Valgrind reports several of those:
==24478== Invalid read of size 8
==24478== at 0x507FDCD: GNUNET_MST_from_buffer (mst.c:235)
==24478== by 0x5080499: GNUNET_MST_read (mst.c:359)
==24478== by 0x50A9033: service_client_recv (service_new.c:1990)
==24478== by 0x5093077: run_ready (scheduler.c:620)
==24478== by 0x50939C2: GNUNET_SCHEDULER_run (scheduler.c:887)
==24478== by 0x50A809E: GNUNET_SERVICE_ruN_ (service_new.c:1700)
==24478== by 0x412194: main (gnunet-service-rps.c:2413)
==24478== Address 0x744f358 is 24 bytes inside a block of size 48 free'd
==24478== at 0x4C2AD90: free (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==24478== by 0x5051BCE: GNUNET_xfree_ (common_allocation.c:321)
==24478== by 0x5080512: GNUNET_MST_destroy (mst.c:399)
==24478== by 0x50AA468: GNUNET_SERVICE_client_drop (service_new.c:2351)
==24478== by 0x50A8C63: service_mq_error_handler (service_new.c:1918)
==24478== by 0x50808B5: GNUNET_MQ_inject_error (mq.c:325)
==24478== by 0x508064F: GNUNET_MQ_inject_message (mq.c:273)
==24478== by 0x50A8FE4: service_client_mst_cb (service_new.c:1971)
==24478== by 0x507FDB9: GNUNET_MST_from_buffer (mst.c:232)
==24478== by 0x5080499: GNUNET_MST_read (mst.c:359)
==24478== by 0x50A9033: service_client_recv (service_new.c:1990)
==24478== by 0x5093077: run_ready (scheduler.c:620)
==24478== Block was alloc'd at
==24478== at 0x4C29BBE: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==24478== by 0x50518AA: GNUNET_xmalloc_unchecked_ (common_allocation.c:219)
==24478== by 0x5051256: GNUNET_xmalloc_ (common_allocation.c:75)
==24478== by 0x507F4D6: GNUNET_MST_create (mst.c:92)
==24478== by 0x50A944E: start_client (service_new.c:2044)
==24478== by 0x50A9C28: accept_client (service_new.c:2201)
==24478== by 0x5093077: run_ready (scheduler.c:620)
==24478== by 0x50939C2: GNUNET_SCHEDULER_run (scheduler.c:887)
==24478== by 0x50A809E: GNUNET_SERVICE_ruN_ (service_new.c:1700)
==24478== by 0x412194: main (gnunet-service-rps.c:2413)
Steps To Reproducerun rps tests (src/rps/test_rps_* or cd src/rps/ && make check)
with
[rps]
PREFIX=valgrind
in src/rps/test_rps.conf
TagsNo tags attached.

Activities

Christian Grothoff

2016-09-26 16:50

manager   ~0011166

Should be fixed in SVN 38019, please let me know if not.

Issue History

Date Modified Username Field Change
2016-09-26 14:06 ch3 New Issue
2016-09-26 16:40 Christian Grothoff Assigned To => Christian Grothoff
2016-09-26 16:40 Christian Grothoff Status new => assigned
2016-09-26 16:50 Christian Grothoff Note Added: 0011166
2016-09-26 16:50 Christian Grothoff Assigned To Christian Grothoff => ch3
2016-09-26 16:50 Christian Grothoff Status assigned => feedback
2016-09-27 13:29 ch3 Status feedback => resolved
2016-09-27 13:29 ch3 Resolution open => fixed
2017-02-26 02:18 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-02-26 02:18 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed